> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Order Cancellation

> Request cancallation for a Order or OrderItem




## OpenAPI

````yaml /openapi/scx/channel.json post /v1/channel/order/cancellation
openapi: 3.0.2
info:
  title: JTL-Channel API
  version: 1.0.0
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: >
    JTL-Channel API is a REST-based API that helps a Channel Integrator to
    connect Marketplace with the JTL-Wawi 

    ERP System.


    # Key Features


    With the JTL-Channel API, you can:

      * Describe connected Marketplace Data Structure by providing Category and Attribute Data
      * Manage Product and Offer Listings
      * Manage Orders 
      * Handle the Post Order Process

    # Development Guide


    There is a detailed development guide available at
    [developer.jtl-software.com](https://developer.jtl-software.com/products/marketplaces/scx-channel-api/change_log).
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox
  - url: https://scx.api.jtl-software.com
    description: Production
security: []
tags:
  - name: Seller
    description: |
      Seller Management
  - name: Channel
    description: Meta channel routes
  - name: Notification
    description: Channel notifications
  - name: Supported Prices
    description: Price type management
  - name: Meta
    description: meta
  - name: Attributes
    description: Channel attributes
  - name: Categories
    description: Channel categories
  - name: Order
    description: Orders
  - name: Return
    description: Order returns
  - name: Events
    description: SCX events
  - name: Offer
    description: Channel offers
  - name: Report
    description: SCX reports
  - name: Ticket
    description: Channel tickets
  - name: Stock Updates
    description: Stock update operations
paths:
  /v1/channel/order/cancellation:
    post:
      tags:
        - Order
      summary: Request Order Cancellation
      description: |
        Request cancallation for a Order or OrderItem
      operationId: RequestOrderCancellation
      requestBody:
        $ref: '#/components/requestBodies/OrderCancellationRequestRequest'
      responses:
        '201':
          description: Order Cancellation received.
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - ChannelAuth: []
components:
  requestBodies:
    OrderCancellationRequestRequest:
      description: >-
        Cancellation request originating from the marketplace that the seller
        has to accept or deny.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OrderCancellationRequest'
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    OrderCancellationRequest:
      type: object
      title: OrderCancellationRequest
      required:
        - orderCancellationRequestId
        - channel
        - sellerId
        - orderId
        - orderItem
        - reason
      properties:
        orderCancellationRequestId:
          $ref: '#/components/schemas/OrderCancellationRequestId'
        sellerId:
          $ref: '#/components/schemas/SellerId'
        orderId:
          $ref: '#/components/schemas/ChannelOrderId'
        orderItem:
          type: array
          nullable: true
          minItems: 1
          items:
            type: object
            title: OrderCancellationItem
            required:
              - orderItemId
            properties:
              orderItemId:
                $ref: '#/components/schemas/OrderItemId'
              quantity:
                type: string
                default: '1.0'
                example: '2.0'
        cancelReason:
          $ref: '#/components/schemas/CancelReason'
        message:
          type: string
          minLength: 0
          maxLength: 1024
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    OrderCancellationRequestId:
      type: string
      description: >
        A unique identifier for the order cancellation request. This ID should
        by used by Seller to identify the cancellation response from the
        Channel.
      format: uuid
      example: 82992d3a-b153-4422-b539-f4d1f1b4aecb
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    ChannelOrderId:
      type: string
      minLength: 1
      maxLength: 150
      example: 43523-43432-43532
    OrderItemId:
      description: >-
        A unique identifier to identify a order item. This ID is provided by the
        Channel itself an should be used to identify a order item id.
      type: string
      example: '5437233'
      format: string
      minLength: 1
      maxLength: 50
    CancelReason:
      type: string
      description: >
        * BUYER_CANCELLED: the buyer cancelled the order.

        * UNDELIVERABLE_TO_SHIPPING_ADDRESS: Could not deliver to the address
        given by the buyer.

        * UNDELIVERABLE_BY_CARRIER: Carrier do not ship to the buyerss location.

        * OUT_OF_STOCK: The item is out of stock, for example because you are
        temporarily or permenantly sold out.

        * DELAYED_INVENTORY: The item is not in your inventory and there is a
        delay in delivery by the supplier.

        * PRICING_ERROR: The price on the connected marketplace was incorrect.

        * OTHER: Well, objvoiusly there is some reason missing in this list.
      enum:
        - BUYER_CANCELLED
        - UNDELIVERABLE_TO_SHIPPING_ADDRESS
        - UNDELIVERABLE_BY_CARRIER
        - OUT_OF_STOCK
        - DELAYED_INVENTORY
        - PRICING_ERROR
        - OTHER
  securitySchemes:
    ChannelAuth:
      description: >
        As a Channel Integrator you will receive a API Refresh Token. With such
        a Refresh Token you

        need to request an Access Token with a limited Lifetime (see POST
        /v1/auth). This Access Token

        must be provided as a Bearer Token in the Authorization Header with
        every request.
      type: http
      scheme: bearer
      bearerFormat: JWT

````